[flake] Allow building on arm systems, nodejs: 18 -> 20
/ test-build (push) Successful in 1m16s Details

This also changes from the `pkgs.yarn-berry` package to the `pkgs.corepack_20` package.

This allows us to use the package manager version from the package.json, negating the need to keep the nixpkgs `yarn-berry` package updated.
This commit is contained in:
Pyrox 2023-11-10 12:05:24 -05:00
parent 6041f17c86
commit 1a55a2404a
Signed by: pyrox
GPG Key ID: 8CDF3F7CAA53A0F5
1 changed files with 3 additions and 2 deletions

View File

@ -17,6 +17,7 @@
# Define the systems that this works on. Only tested with x86_64-linux, add more if you test and it works.
systems = [
"x86_64-linux"
"aarch64-linux"
];
# Expose these attributes for every system defined above.
perSystem = { config, pkgs, ... }: {
@ -28,8 +29,8 @@
name = "iceshrimp-dev-shell";
# Add additional packages to our environment
packages = [
pkgs.yarn-berry
pkgs.python3
pkgs.corepack_20
];
# No need to warn on a new version, we'll update as needed.
devenv.warnOnNewVersion = false;
@ -37,7 +38,7 @@
languages.typescript.enable = true;
# Enable javascript for NPM and Yarn
languages.javascript.enable = true;
languages.javascript.package = pkgs.nodejs_18;
languages.javascript.package = pkgs.nodejs_20;
processes = {
dev-server.exec = "yarn run dev";
};